/**!
 * Sparticles - Lightweight, High Performance Particles in Canvas
 * @version 1.3.0
 * @license MPL-2.0
 * @author simeydotme <simey.me@gmail.com>
 * @website http://sparticlesjs.dev
 * @repository https://github.com/simeydotme/sparticles.git
 */
var Sparticles=function(){"use strict";function t(t,e){var i=Object.keys(t);if(Object.getOwnPropertySymbols){var s=Object.getOwnPropertySymbols(t);e&&(s=s.filter((function(e){return Object.getOwnPropertyDescriptor(t,e).enumerable}))),i.push.apply(i,s)}return i}function e(e){for(var s=1;s<arguments.length;s++){var n=null!=arguments[s]?arguments[s]:{};s%2?t(Object(n),!0).forEach((function(t){i(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):t(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function i(t,e,i){return e in t?Object.defineProperty(t,e,{value:i,enumerable:!0,configurable:!0,writable:!0}):t[e]=i,t}var s=function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:function(){},e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:60;this.fps=e,this.handler=t;var i=0;this.start=function(){var t=this;if(!this.started){var e=performance.now(),s=1e3/this.fps;i=requestAnimationFrame((function n(r){var h=r-e;i=requestAnimationFrame(n),h>=s-0&&(t.handler(h),e=r-h%s)})),this.started=!0}},this.stop=function(){cancelAnimationFrame(i),this.started=!1}},n=function(t){return[Math.cos(h(t-90)),Math.sin(h(t-90))]},r=function(t){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1;return Math.max(e,Math.min(i,t))},h=function(t){return t*Math.PI/180},a=function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0,e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:Math.random();return e<=t?i=t:(0!==t||1!==e)&&e>t&&(i=i*(e-t)+t),i},o=function(t){return t[Math.floor(a(0,t.length))]},c=function(){var t=p(a(0,360)),e=p(a(90,100)),i=p(a(45,85));return"hsl(".concat(t,",").concat(e,"%,").concat(i,"%)")},l=function(t){return t>a()},p=function(t){return.5+t|0},g=function(t){return t?(this.canvas=t.canvas,this.settings=t.settings,this.colors=t.colors,this.shapes=t.shapes,this.images=t.images,this.styles=t.styles,this.ctx=t.canvas.getContext("2d"),this.setup(),this.init()):console.warn("Invalid parameters given to Sparticle()",arguments),this};g.prototype.setup=function(){var t=this.settings;this.frame=0,this.frameoffset=p(a(0,360)),this.size=p(a(t.minSize,t.maxSize)),this.da=this.getAlphaDelta(),this.dx=this.getDeltaX(),this.dy=this.getDeltaY(),this.dd=this.getDriftDelta(),this.dr=this.getRotationDelta(),this.color=this.getColor(),this.shape=this.getShape(),this.image=this.getImage(),this.style=this.getStyle(),this.rotation=t.rotate?h(a(0,360)):0,this.vertical=t.direction>150&&t.direction<210||t.direction>330&&t.direction<390||t.direction>-30&&t.direction<30,this.horizontal=t.direction>60&&t.direction<120||t.direction>240&&t.direction<300},g.prototype.init=function(){var t=this.settings,e=this.canvas;this.alpha=0,(t.speed>0||0===t.alphaSpeed)&&(this.alpha=a(t.minAlpha,t.maxAlpha)),t.bounce?(this.px=p(a(2,e.width-this.size-2)),this.py=p(a(2,e.height-this.size-2))):(this.px=p(a(2*-this.size,e.width+this.size)),this.py=p(a(2*-this.size,e.height+this.size)))},g.prototype.reset=function(){this.setup(),this.py<0?this.py=this.canvas.height+2*this.size:this.py>this.canvas.height&&(this.py=0-2*this.size),this.px<0?this.px=this.canvas.width+2*this.size:this.px>this.canvas.width&&(this.px=0-2*this.size)},g.prototype.bounce=function(){this.settings.direction;(this.py<=0||this.py+this.size>=this.canvas.height)&&(this.dy=-this.dy,this.horizontal&&(this.dd=-this.dd)),(this.px<=0||this.px+this.size>=this.canvas.width)&&(this.dx=-this.dx,this.vertical&&(this.dd=-this.dd))},g.prototype.isOffCanvas=function(){var t=0-2*this.size,e=this.canvas.height+2*this.size,i=this.canvas.width+2*this.size;return this.px<t||this.px>i||this.py<t||this.py>e},g.prototype.isTouchingEdge=function(){var t=this.canvas.height-this.size,e=this.canvas.width-this.size;return this.px<0||this.px>e||this.py<0||this.py>t},g.prototype.getColor=function(){return"random"===this.settings.color?o(this.colors):Array.isArray(this.settings.color)?o(this.settings.color):this.settings.color},g.prototype.getShape=function(){return"random"===this.settings.shape?o(this.shapes):Array.isArray(this.settings.shape)?o(this.settings.shape):this.settings.shape},g.prototype.getImage=function(){return Array.isArray(this.settings.imageUrl)?o(this.settings.imageUrl):this.settings.imageUrl},g.prototype.getStyle=function(){return o(this.styles)},g.prototype.getDelta=function(){var t=.1*this.settings.speed;return this.settings.speed&&this.settings.parallax?t+this.size*this.settings.parallax/50:t},g.prototype.getDeltaVariance=function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0,e=this.settings.speed||10;return t>0?a(-t,t)*e/100:0},g.prototype.getDeltaX=function(){var t=this.getDelta(),e=this.getDeltaVariance(this.settings.xVariance);return n(this.settings.direction)[0]*t+e},g.prototype.getDeltaY=function(){var t=this.getDelta(),e=this.getDeltaVariance(this.settings.yVariance);return n(this.settings.direction)[1]*t+e},g.prototype.getAlphaDelta=function(){var t=this.settings.alphaVariance,e=a(1,t+1);return l(.5)&&(e=-e),e},g.prototype.getDriftDelta=function(){return this.settings.drift?a(this.settings.drift-this.settings.drift/2,this.settings.drift+this.settings.drift/2):0},g.prototype.getRotationDelta=function(){var t=0;return this.settings.rotate&&this.settings.rotation&&(t=h(a(.5,1.5)*this.settings.rotation),l(.5)&&(t=-t)),t},g.prototype.update=function(){return this.frame+=1,this.updatePosition(),this.updateAlpha(),this},g.prototype.updateAlpha=function(){return this.settings.alphaSpeed>0&&(this.settings.twinkle?this.alpha=this.updateTwinkle():this.alpha=this.updateFade()),this.alpha},g.prototype.updateFade=function(){var t=this.da/1e3*this.settings.alphaSpeed*.5,e=this.alpha+t,i=this.da>0&&e>this.settings.maxAlpha,s=this.da<0&&e<this.settings.minAlpha;return(i||s)&&(this.da=-this.da,e=this.settings.maxAlpha,s&&(e=this.settings.minAlpha)),e},g.prototype.updateTwinkle=function(){var t=this.alpha,e=Math.abs(this.da),i=t>this.settings.maxAlpha,s=t<this.settings.minAlpha,n=e/1e3*this.settings.alphaSpeed*.5,r=l(1/30),h=l(1/30);return this.resettingTwinkle?t+=5*n:r?t+=50*n:t-=h?25*n:n,s?(this.resettingTwinkle=!0,t=this.settings.minAlpha):i&&(this.resettingTwinkle=!1,t=this.settings.maxAlpha),t},g.prototype.updatePosition=function(){if(this.settings.bounce&&this.isTouchingEdge())this.bounce();else if(this.isOffCanvas())return void this.reset();this.px+=this.dx,this.py+=this.dy,this.updateDrift(),this.updateRotation()},g.prototype.updateRotation=function(){this.settings.rotate&&this.settings.rotation&&(this.rotation+=this.dr)},g.prototype.updateDrift=function(){var t=this.settings;t.direction;t.drift&&t.speed&&(this.vertical?this.px+=n(this.frame+this.frameoffset)[0]*this.dd/(15*this.getDelta()):this.horizontal&&(this.py+=n(this.frame+this.frameoffset)[1]*this.dd/(15*this.getDelta())))},g.prototype.render=function(t){var e,i=(e="image"!==this.shape?t[this.color][this.shape][this.style]:t[this.color][this.shape][this.image]).width,s=this.size/i,n=this.px/s,h=this.py/s;return this.ctx.globalAlpha=r(this.alpha,0,1),this.renderRotate(),this.ctx.transform(s,0,0,s,0,0),this.ctx.drawImage(e,0,0,i,i,n,h,i,i),this.ctx.setTransform(1,0,0,1,0,0),this},g.prototype.renderRotate=function(){if("circle"!==this.shape&&this.settings.rotate){var t=this.px+this.size/2,e=this.py+this.size/2;this.ctx.translate(t,e),this.ctx.rotate(this.rotation),this.ctx.translate(-t,-e)}};var u=function(t,i,n,r){arguments.length>=1&&!(arguments[0]instanceof HTMLElement)&&(i=arguments[0],n=arguments[1],r=arguments[2],t=void 0),n&&!r&&(r=n);var h={alphaSpeed:10,alphaVariance:1,bounce:!1,color:"random",randomColor:c,randomColorCount:3,composition:"source-over",count:50,direction:180,drift:1,glow:0,imageUrl:"",maxAlpha:1,maxSize:10,minAlpha:0,minSize:1,parallax:1,rotate:!0,rotation:1,shape:"circle",speed:10,style:"fill",twinkle:!1,xVariance:2,yVariance:2};return this.el=t||document.body,this.settings=e(e({},h),i),this.resizable=!n&&!r,this.width=this.resizable?this.el.clientWidth:n,this.height=this.resizable?this.el.clientHeight:r,this.init=function(){var t=this;return this.sparticles=[],this.colors=this.getColorArray(),this.shapes=this.getShapeArray(),this.styles=this.getStyleArray(),this.imageUrls=this.getImageArray(),this.setupMainCanvas(),this.setupOffscreenCanvasses((function(){t.createSparticles(),t.start()})),window.addEventListener("resize",this),this},this.handleEvent=function(t){var e=this;"resize"===t.type&&(clearTimeout(this.resizeTimer),this.resizeTimer=setTimeout((function(){e.resizable&&(e.width=e.el.clientWidth,e.height=e.el.clientHeight,e.setCanvasSize().resetSparticles())}),200))},this.start=function(){var t=this;return this.loop||(this.loop=new s((function(e){t.drawFrame(e)}))),this.loop.start(),this},this.stop=function(){return this.loop.stop(),this},this.destroy=function(){for(var t in this.stop(),this.el.removeChild(this.canvas),window.removeEventListener("resize",this),this)this.hasOwnProperty(t)&&delete this[t];return this},this.setCanvasSize=function(t,e){return t&&(this.resizable=!1),this.width=t||this.width,this.height=e||this.height,this.canvas.width=this.width,this.canvas.height=this.height,this},this.resetSparticles=this.createSparticles=function(){this.sparticles=[],this.ctx.globalCompositeOperation=this.settings.composition;for(var t=0;t<this.settings.count;t++)this.sparticles.push(new g(this,t));return this.sort(),this.sparticles},this.sort=function(){this.settings.parallax&&this.sparticles.sort((function(t,e){return t.size-e.size}))},this.init()};return u.prototype.getColorArray=function(){var t=Array.isArray(this.settings.color)?this.settings.color:[this.settings.color];if(t.some((function(t){return"random"===t})))for(var e=0;e<this.settings.randomColorCount;e++)t[e]=this.settings.randomColor(e,this.settings.randomColorCount);return t},u.prototype.getShapeArray=function(){var t=Array.isArray(this.settings.shape)?this.settings.shape:[this.settings.shape];return t.some((function(t){return"random"===t}))&&(t=["square","circle","triangle"]),t},u.prototype.getImageArray=function(){return Array.isArray(this.settings.imageUrl)?this.settings.imageUrl:[this.settings.imageUrl]},u.prototype.getStyleArray=function(){var t=this.settings.style;return t="fill"!==t&&"stroke"!==t?["fill","stroke"]:[t]},u.prototype.setupMainCanvas=function(){return this.canvas=document.createElement("canvas"),this.canvas.setAttribute("class","sparticles"),this.ctx=this.canvas.getContext("2d"),this.setCanvasSize(),this.el.appendChild(this.canvas),this.canvas},u.prototype.setupOffscreenCanvasses=function(t){var e=this,i=this.colors.filter((function(t,i){return e.colors.indexOf(t)===i})),s=this.shapes.filter((function(t,i){return e.shapes.indexOf(t)===i})),n=this.styles.filter((function(t,i){return e.styles.indexOf(t)===i})),r=this.imageUrls.filter((function(t,i){return e.imageUrls.indexOf(t)===i})),h=i.length*r.length,a=i.length*s.length*n.length,o=0,c=0;this.canvasses=this.canvasses||{},i.forEach((function(i){e.canvasses[i]=e.canvasses[i]||{},s.forEach((function(s){e.canvasses[i][s]=e.canvasses[i][s]||{},"image"===s?r.forEach((function(n,r){var a=new Image,c=document.createElement("canvas");e.canvasses[i][s][n]=c,a.onload=function(){o++,e.drawOffscreenCanvasForImage(a,i,c),t&&o===h&&t()},a.onerror=function(){console.error("failed to load source image: ",n)},a.src=n})):n.forEach((function(n){var r=document.createElement("canvas");e.canvasses[i][s][n]=r,c++,e.drawOffscreenCanvas(s,n,i,r),t&&c===a&&t()}))}))}))},u.prototype.getGlowSize=function(t){return this.settings.glow},u.prototype.getLineSize=function(t){return r(t/20,1,5)},u.prototype.getOffscreenCanvasSize=function(){return r(this.settings.maxSize,this.settings.minSize,this.settings.maxSize)},u.prototype.renderStyle=function(t,e,i,s){"fill"===s?t.fillStyle=e:(t.lineWidth=i,t.strokeStyle=e)},u.prototype.renderGlow=function(t,e,i){var s=this.getGlowSize(i)/2;t.shadowColor=e,t.shadowBlur=s},u.prototype.renderColor=function(t,e,i){"fill"===e?i?t.fill(i):t.fill():i?t.stroke(i):t.stroke()},u.prototype.drawOffscreenCanvas=function(t,e,i,s){return this.offScreenCanvas[t].call(this,e,i,s)},u.prototype.offScreenCanvas={},u.prototype.offScreenCanvas.circle=function(t,e,i){var s=i.getContext("2d"),n=this.getOffscreenCanvasSize(),r=this.getLineSize(n),h=n+2*r+this.getGlowSize(n),a="stroke"===t?n-r:n;return i.width=h,i.height=h,this.renderGlow(s,e,n),this.renderStyle(s,e,r,t),s.beginPath(),s.ellipse(h/2,h/2,a/2,a/2,0,0,360),this.renderColor(s,t),i},u.prototype.offScreenCanvas.square=function(t,e,i){var s=i.getContext("2d"),n=this.getOffscreenCanvasSize(),r=this.getLineSize(n),h=n+2*r+this.getGlowSize(n),a="stroke"===t?n-r:n;return i.width=h,i.height=h,this.renderGlow(s,e,n),this.renderStyle(s,e,r,t),s.beginPath(),s.rect(h/2-a/2,h/2-a/2,a,a),this.renderColor(s,t),i},u.prototype.offScreenCanvas.line=function(t,e,i){var s=i.getContext("2d"),n=1.5*this.getOffscreenCanvasSize(),r=this.getLineSize(n),h=n+2*r+this.getGlowSize(n),a=h/2-n/2,o=h/2-n/2;return i.width=h,i.height=h,this.renderGlow(s,e,n),s.lineWidth=r,s.strokeStyle=e,s.beginPath(),s.moveTo(a,o),s.lineTo(a+n,o+n),s.stroke(),s.closePath(),i},u.prototype.offScreenCanvas.triangle=function(t,e,i){var s=i.getContext("2d"),n=this.getOffscreenCanvasSize(),r=this.getLineSize(n),h=n+2*r+this.getGlowSize(n),a="stroke"===t?n-r:n,o=a*(Math.sqrt(3)/2),c=h/2,l=h/2-a/2;return i.width=h,i.height=h,this.renderGlow(s,e,n),this.renderStyle(s,e,r,t),s.beginPath(),s.moveTo(c,l),s.lineTo(c-a/2,l+o),s.lineTo(c+a/2,l+o),s.closePath(),this.renderColor(s,t),i},u.prototype.offScreenCanvas.diamond=function(t,e,i){var s=new Path2D("M43,83.74,48.63,99a1.46,1.46,0,0,0,2.74,0L57,83.74A45.09,45.09,0,0,1,83.74,57L99,51.37a1.46,1.46,0,0,0,0-2.74L83.74,43A45.11,45.11,0,0,1,57,16.26L51.37,1a1.46,1.46,0,0,0-2.74,0L43,16.26A45.11,45.11,0,0,1,16.26,43L1,48.63a1.46,1.46,0,0,0,0,2.74L16.26,57A45.09,45.09,0,0,1,43,83.74Z"),n=i.getContext("2d"),r=this.getOffscreenCanvasSize(),h=this.getLineSize(r),a=this.getGlowSize(r),o=r+2*h+a,c=o/(1.1*(100+a));return i.width=o,i.height=o,this.renderGlow(n,e,r),this.renderStyle(n,e,h/c,t),n.scale(c,c),n.translate(5+.5*a,5+.5*a),this.renderColor(n,t,s),i},u.prototype.offScreenCanvas.star=function(t,e,i){var s=new Path2D("M99.86,36.45a2.94,2.94,0,0,0-2.37-2l-31-4.54L52.63,1.64a2.93,2.93,0,0,0-5.26,0L33.51,29.91l-31,4.54a3,3,0,0,0-2.37,2,3,3,0,0,0,.74,3l22.44,22L18,92.55A2.94,2.94,0,0,0,20.91,96a2.86,2.86,0,0,0,1.36-.34L50,81,77.73,95.66a2.91,2.91,0,0,0,3.08-.22A3,3,0,0,0,82,92.55l-5.3-31.07,22.44-22A3,3,0,0,0,99.86,36.45Z"),n=i.getContext("2d"),r=this.getOffscreenCanvasSize(),h=this.getLineSize(r),a=this.getGlowSize(r),o=r+2*h+a,c=o/(1.1*(100+a));return i.width=o,i.height=o,n.scale(c,c),this.renderGlow(n,e,r),this.renderStyle(n,e,h/c,t),n.translate(5+.5*a,5+.5*a),this.renderColor(n,t,s),i},u.prototype.drawOffscreenCanvasForImage=function(t,e,i){var s=t.width,n=i.getContext("2d");return i.width=s,i.height=s,n.drawImage(t,0,0,s,s,0,0,s,s),n.globalCompositeOperation="source-atop",n.fillStyle=e,n.fillRect(0,0,s,s),i},u.prototype.drawFrame=function(){this.ctx.clearRect(0,0,this.width,this.height);for(var t=0;t<this.sparticles.length;t++){this.sparticles[t].update().render(this.canvasses)}return this.sort(),this.sparticles},u}();
